function init(hero) {
    hero.setName("Mario/SSBHP");
    hero.setVersion("Super Smash Bros");
    hero.setTier(2);
    
    hero.setHelmet("Head");
    hero.setChestplate("Overalls");
    hero.setLeggings("Pants");
    hero.setBoots("Shoes");
    
    hero.addAbilities("fiskheroes:pyrokinesis");
    hero.addAttribute("ATTACK_DAMAGE", 0.1, 1);
    hero.addAttribute("PUNCH_DAMAGE", 3.0, 0);
	
    hero.setHasProperty(hasProperty);
    hero.supplyFunction("canAim", canAim);

    hero.setDefaultScale(0.94);
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}
